(store alice ((weight . 130) (height . 200) (age . 30) (salary . 40000) (married . n) (kidnames . nil) (univ . umd) (sex . f) (year . 1992) (homestate . md)))
(store bob ((weight . 140) (height . 190) (salary . 20000) (homestate . ok) (kidnames . nil) (univ . cmu) (sex . m) (year . 1994) (married . n) (age . 20)))
(store eve ((weight . 135) (height . 180) (age . 25) (salary . 45000) (univ . umd) (sex . f) (year . 1995) (married . y) (homestate . nj) (kidnames . (cain abel))))
(modify alice year 1990)
(modify alice age 22)
(modify bob hair frizzy)
(insert alice colonel)
(insert bob lieutenant)
(insert eve colonel)
(findall (eqp sex f))
(findall t)
(findallinset colonel (and (eqp homestate nj) (ltp year 1997)))
(findnext (eqp univ umd))
(findnext (eqp univ umd))
(findnext (eqp univ umd))
(findnextinset private (eqp married y))
(findnextinset lieutenant (eqp married n))
(findnextinset lieutenant (eqp married n))
(findany (gtp year 1991))
(findanyinset colonel (eqp married y))
(delete2 alice)
(findall t)
